\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.3 - CGAL and the Boost Graph Library

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Enumerations
Enums
CGAL and the Boost Graph Library Reference

##

## Enumerations
enum | CGAL::edge_is_border_t { CGAL::edge_is_border }
| The constant `edge_is_border` is a property tag which refers to the property of an edge of being a border edge. More...
enum | CGAL::vertex_is_border_t { CGAL::vertex_is_border }
| The constant `vertex_is_border` is a property tag which refers to the property of a vertex of being a border vertex. More...
enum | CGAL::vertex_point_t { CGAL::vertex_point }
| The constant `vertex_point` is a property tag which refers to the geometric embedding property of a vertex of a `HalfedgeGraph`. More...
enum | boost::edge_index_t { boost::edge_index }
| The constant `edge_index` is a property tag which identifies the index property of an edge of a Bgl Graph. More...

## Enumeration Type Documentation

enum boost::edge_index_t

The constant `edge_index` is a property tag which identifies the index property of an edge of a Bgl Graph.

`#include <CGAL/boost/graph/properties.h>`

Enumerator
edge_index |

enum CGAL::edge_is_border_t

The constant `edge_is_border` is a property tag which refers to the property of an edge of being a border edge.

`edge_is_border` is an interior property. That is, a property map for `edge_is_border` can be extracted from any model of a `HalfedgeGraph` using the Bgl PropertyGraph interface: `boost::get(edge_is_border,graph)`

The Boolean flag that indicates if the edge is a border can be directly accessed via: `boost::get(edge_is_border,graph,edge)`.

`#include <CGAL/boost/graph/properties.h>`

Enumerator
edge_is_border |

enum CGAL::vertex_is_border_t

The constant `vertex_is_border` is a property tag which refers to the property of a vertex of being a border vertex.

`vertex_is_border` is an interior property, that is, a property map for `vertex_is_border` can be extracted from any model of a `HalfedgeGraph` using the Bgl PropertyGraph interface: `boost::get(vertex_is_border,graph)`

The Boolean flag that indicates if the vertex is a border can be directly accessed via: `boost::get(vertex_is_border,graph,edge)`

`#include <CGAL/boost/graph/properties.h>`

Enumerator
vertex_is_border |

enum CGAL::vertex_point_t

The constant `vertex_point` is a property tag which refers to the geometric embedding property of a vertex of a `HalfedgeGraph`.

A `vertex_point` is an interior property, that is, a property map for a `vertex_point` can be extracted from any model of a `HalfedgeGraph` using the Bgl PropertyGraph interface: `boost::get(vertex_point,graph)`

A point of a vertex can be directly accessed via:

- `boost::get(vertex_point,graph,vertex)`
- `boost::put(vertex_point,graph,vertex,newpoint)`

`#include <CGAL/boost/graph/properties.h>`

Enumerator
vertex_point |